import requests
url = "https://api.paywise.de/partner/v2/webhook-deliveries/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/webhook-deliveries/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/webhook-deliveries/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/webhook-deliveries/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/webhook-deliveries/{id}/ \
--header 'Authorization: Bearer <token>'{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T10:00:00Z",
"data": {
"case_submission_ready": true,
"company_id": "12000000-0000-4000-8000-000000000001",
"company_url": "/partner/v2/companies/12000000-0000-4000-8000-000000000001/",
"customer_number": "5G0123"
},
"id": "16000000-0000-4000-8000-000000000001",
"type": "company.created"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Get webhook delivery
import requests
url = "https://api.paywise.de/partner/v2/webhook-deliveries/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/webhook-deliveries/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/webhook-deliveries/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/webhook-deliveries/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/webhook-deliveries/{id}/ \
--header 'Authorization: Bearer <token>'{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T10:00:00Z",
"data": {
"case_submission_ready": true,
"company_id": "12000000-0000-4000-8000-000000000001",
"company_url": "/partner/v2/companies/12000000-0000-4000-8000-000000000001/",
"customer_number": "5G0123"
},
"id": "16000000-0000-4000-8000-000000000001",
"type": "company.created"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Partner API Bearer key: Authorization: Bearer <key>. Keys are created only through authorized portal or staff flows.
Headers
Return 304 with an empty body when the current ETag matches one of the supplied validators (or *).
Path Parameters
UUID of the webhook delivery in this request.
Response
Number of delivery attempts made so far.
Time at which delivery succeeded or stopped retrying.
Time at which the delivery was queued.
Most recent delivery failure detail, including HTTP errors, transport failures, blocked destinations, or retry-window expiry. Empty after success or response-log retention cleanup.
Stable event identifier shared by deliveries to different endpoints and by manual redeliveries of the same event.
Partner lifecycle, Case Management, or Mahnservice event type being delivered.
Stable identifier of this delivery.
Time of the most recent delivery attempt.
Scheduled time of the next retry, when applicable.
Exact event body sent to the webhook endpoint.
- Company created
- Company readiness changed
- Company access granted or restored
- Company access revoked
- Company membership event
- Order lifecycle event
- Order accepted
- Case lifecycle event
- Case status update
- Order message event
- Case message event
- Client request event
- Payment event
- Statement event
- Per-case statement event
- Invoice and dunning event
Show child attributes
Show child attributes
{
"created_at": "2026-07-18T10:00:00Z",
"data": {
"case_submission_ready": true,
"company_id": "12000000-0000-4000-8000-000000000001",
"company_url": "/partner/v2/companies/12000000-0000-4000-8000-000000000001/",
"customer_number": "5G0123"
},
"id": "16000000-0000-4000-8000-000000000001",
"type": "company.created"
}
Request that originally caused the event, when available.
Most recently recorded response body, truncated to at most 4096 UTF-8 bytes. Empty if unavailable or removed by the 30-day response-log retention cleanup.
Most recently recorded HTTP status from the destination, or null if no response has been recorded or retained response logs were purged. A later transport failure can leave the previous status unchanged.
Delivery state: pending (queued), delivering (attempt in progress), retrying (another automatic attempt scheduled), success, or failed (no automatic retry remains).
Time at which the delivery record last changed.
